Bug 144681 - UPDATE: gc-6.4-2
UPDATE: gc-6.4-2
Product: Fedora
Classification: Fedora
Component: gc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-01-10 12:11 EST by Rex Dieter
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-10 12:20:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-01-10 12:11:19 EST
* Mon Jan 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:6.4-1
- 6.4
- update opendl patch
Comment 1 Michael Schwendt 2005-01-25 19:38:31 EST

Also for gc-6.4-1, "make check" fails with:

make  gctest test_cpp
make[2]: Entering directory `/home/users/m/ms/mschwendt/rpm/BUILD/gc6.4'
/bin/sh ./libtool --mode=link gcc -fexceptions -O2 -g -pipe -m64  -o
gctest  test.o ./libgc.la 
gcc -fexceptions -O2 -g -pipe -m64 -o .libs/gctest test.o 
./.libs/libgc.so -lpthread -ldl -Wl,--rpath -Wl,/usr/lib64
./.libs/libgc.so: undefined reference to `GC_memory_barrier'
./.libs/libgc.so: undefined reference to `GC_compare_and_exchange'
collect2: ld returned 1 exit status

Just for reference, "make test" exists, too, and fails also on i386.

Had a look whether any 3rd party repository provides this for x86_64,
and Dag does, because he doesn't run make check.
Comment 2 Thorsten Leemhuis 2005-01-26 02:27:40 EST
Removing "--enable-parallel-mark" from the configure call solves the build
problem on x86_64 (both ver 6.3 and 6.4). Rex is that option important?
Comment 3 Rex Dieter 2005-01-26 10:01:38 EST
No, --enable-parallel-mark isn't important.  Just an (experimental) performance

I'll drop it for non %{ix86} archs in the next package iteration.
Comment 4 Rex Dieter 2005-01-26 10:16:58 EST
* Wed Jan 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:6.4-2
- --enable-threads unconditionally
- --enable-parallel-mark only on %%ix86 (#144681)
Comment 5 Thorsten Leemhuis 2005-01-26 11:42:31 EST
FYI: gc-6.4-2.src.rpm builds fine on x86_64
Comment 6 Michael Schwendt 2005-01-29 09:43:58 EST
So, is this an update request and shall be applied?

While I can help with commit updates/patches as long as there are still no news
on CVS, I don't feel good about searching bugzilla for such requests like a
needle in a haystack. I'd prefer an explicit notification via CC or equivalent.
Comment 7 Rex Dieter 2005-01-29 10:59:42 EST
My apologies Michael... when I had submitted this, I had made the assumption
that things should be submitted here now instead of at bugzilla.fedora.us.

That being said, yes, consider this an update request, though a low priority one.
Comment 8 Thorsten Leemhuis 2005-01-29 11:19:08 EST
> yes, consider this an update request, though a low priority one.

From the x86_64 side this is a high or normal priority one -- AFAICS at least
three other packages cannot build cause gc is missing ;-)
Comment 9 Michael Schwendt 2005-01-29 11:29:12 EST
The fix would also work for the current release. The upgrade would be less
important. But:

Applied in CVS.
Comment 10 Thorsten Leemhuis 2005-01-29 13:13:53 EST
added package to pre-extras build list (i386 and x86_64)
Comment 11 Thorsten Leemhuis 2005-02-10 12:15:45 EST
Rex, just FYI, package was build. But I can't close this bug :-(
Comment 12 Rex Dieter 2005-02-10 12:20:51 EST

Note You need to log in before you can comment on or make changes to this bug.